Lucene search

K
amazon
AmazonALAS2-2020-1392
HistoryFeb 05, 2020 - 4:47 p.m.

Important: kernel

2020-02-0516:47:00
alas.aws.amazon.com
16

6.1 Medium

CVSS3

Attack Vector

LOCAL

Attack Complexity

LOW

Privileges Required

LOW

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

LOW

Availability Impact

HIGH

CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:L/A:H

6.6 Medium

AI Score

Confidence

High

5.6 Medium

CVSS2

Access Vector

LOCAL

Access Complexity

LOW

Authentication

NONE

Confidentiality Impact

NONE

Integrity Impact

PARTIAL

Availability Impact

COMPLETE

AV:L/AC:L/Au:N/C:N/I:P/A:C

0.001 Low

EPSS

Percentile

26.6%

Issue Overview:

A memory leak in the crypto_report() function in crypto/crypto_user_base.c in the Linux kernel through 5.3.11 allows attackers to cause a denial of service (memory consumption) by triggering crypto_report_alg() failures, aka CID-ffdde5932042. (CVE-2019-19062)

An out-of-bounds memory write issue was found in the Linux Kernel, version 3.13 through 5.4, in the way the Linux kernel’s KVM hypervisor handled the ‘KVM_GET_EMULATED_CPUID’ ioctl(2) request to get CPUID features emulated by the KVM hypervisor. A user or process able to access the ‘/dev/kvm’ device could use this flaw to crash the system, resulting in a denial of service. (CVE-2019-19332)

Affected Packages:

kernel

Note:

This advisory is applicable to Amazon Linux 2 (AL2) Core repository. Visit this FAQ section for the difference between AL2 Core and AL2 Extras advisories.

Issue Correction:
Run yum update kernel to update your system.

New Packages:

aarch64:  
    kernel-4.14.165-131.185.amzn2.aarch64  
    kernel-headers-4.14.165-131.185.amzn2.aarch64  
    kernel-debuginfo-common-aarch64-4.14.165-131.185.amzn2.aarch64  
    perf-4.14.165-131.185.amzn2.aarch64  
    perf-debuginfo-4.14.165-131.185.amzn2.aarch64  
    python-perf-4.14.165-131.185.amzn2.aarch64  
    python-perf-debuginfo-4.14.165-131.185.amzn2.aarch64  
    kernel-tools-4.14.165-131.185.amzn2.aarch64  
    kernel-tools-devel-4.14.165-131.185.amzn2.aarch64  
    kernel-tools-debuginfo-4.14.165-131.185.amzn2.aarch64  
    kernel-devel-4.14.165-131.185.amzn2.aarch64  
    kernel-debuginfo-4.14.165-131.185.amzn2.aarch64  
  
i686:  
    kernel-headers-4.14.165-131.185.amzn2.i686  
  
src:  
    kernel-4.14.165-131.185.amzn2.src  
  
x86_64:  
    kernel-4.14.165-131.185.amzn2.x86_64  
    kernel-headers-4.14.165-131.185.amzn2.x86_64  
    kernel-debuginfo-common-x86_64-4.14.165-131.185.amzn2.x86_64  
    perf-4.14.165-131.185.amzn2.x86_64  
    perf-debuginfo-4.14.165-131.185.amzn2.x86_64  
    python-perf-4.14.165-131.185.amzn2.x86_64  
    python-perf-debuginfo-4.14.165-131.185.amzn2.x86_64  
    kernel-tools-4.14.165-131.185.amzn2.x86_64  
    kernel-tools-devel-4.14.165-131.185.amzn2.x86_64  
    kernel-tools-debuginfo-4.14.165-131.185.amzn2.x86_64  
    kernel-devel-4.14.165-131.185.amzn2.x86_64  
    kernel-debuginfo-4.14.165-131.185.amzn2.x86_64  
    kernel-livepatch-4.14.165-131.185-1.0-0.amzn2.x86_64  

Additional References

Red Hat: CVE-2019-19062, CVE-2019-19332

Mitre: CVE-2019-19062, CVE-2019-19332

How to protect your server from attacks?

6.1 Medium

CVSS3

Attack Vector

LOCAL

Attack Complexity

LOW

Privileges Required

LOW

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

NONE

Integrity Impact

LOW

Availability Impact

HIGH

CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:L/A:H

6.6 Medium

AI Score

Confidence

High

5.6 Medium

CVSS2

Access Vector

LOCAL

Access Complexity

LOW

Authentication

NONE

Confidentiality Impact

NONE

Integrity Impact

PARTIAL

Availability Impact

COMPLETE

AV:L/AC:L/Au:N/C:N/I:P/A:C

0.001 Low

EPSS

Percentile

26.6%

Related for ALAS2-2020-1392